Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.ant
Class FileIterator

    java.lang.Object
      org.codehaus.groovy.ant.FileIterator

All Implemented Interfaces:
  Iterator

    public class FileIterator

extends Object
implements Iterator

`FileIterator` is an iterator over a number of files from a collection of FileSet instances.

Version:
  $Revision: 6778 $
Author:
  James Strachan

Constructor Summary
`FileIterator(Project project, Iterator fileSetIterator)`
`FileIterator(Project project, Iterator fileSetIterator, boolean iterateDirectories)`

Method Summary
`boolean` | `hasNext()`
`Object` | `next()`
`void` | `remove()` throws UnsupportedOperationException

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FileIterator

    public FileIterator(Project project,
                        Iterator fileSetIterator)

### FileIterator

    public FileIterator(Project project,
                        Iterator fileSetIterator,
                        boolean iterateDirectories)

Method Detail

### hasNext

    public boolean hasNext()

  Specified by:
    `hasNext` in interface `Iterator`
  Returns:
    true if there is another object that matches the given predicate

### next

    public Object next()

  Specified by:
    `next` in interface `Iterator`
  Returns:
    the next object which matches the given predicate

### remove

    public void remove()

  throws UnsupportedOperationException

  Specified by:
    `remove` in interface `Iterator`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2003-2008 The Codehaus. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD